#ifndef __ENCODER_INTERFACE_H__
#define __ENCODER_INTERFACE_H__

#include "esp_common.h"
#include "log/esp_log.h"
#include "hal/io.h"
#include "hal/lsm6ds3.h"
#include "interface/light_interface.h"
#include "hal/lps25hb.h"
#include "hal/max17043.h"

#define Encoder_InitIO IO_InitIO
#define Encoder_DisableIOInterrupts IO_DisableIOInterrupts
#define Encoder_EnableIOInterrupts IO_EnableIOInterrupts
#define Encoder_SetIMUCallback IO_SetIMUCallback
#define Encoder_SetSwitchCallback IO_SetSwitchCallback
#define Encoder_DisableDebounceTimer IO_DisableDebounceTimer
#define Encoder_GetIOStates IO_GetStates

#define Encoder_EnableMotion LSM6DS3_EnableMotion
#define Encoder_DisableMotion LSM6DS3_DisableMotion
#define Encoder_GetVoltage max17043_getVoltage
#define Encoder_GetSOC max17043_getSOC
#define Encoder_EnableIMUI2CInterface LSM6DS3_Enable_I2C_Bridge

#define Encoder_InitUART uart_init
#define Encoder_InitIMU LSM6DS3_DisableMotion

#define Encoder_Find Light_Find

void ICACHE_FLASH_ATTR Encoder_Shutdown(void);
void ICACHE_FLASH_ATTR Encoder_Restart(void);

#endif
