#ifndef LIGHT_INTERFACE_H
#define LIGHT_INTERFACE_H

#include "esp_common.h"
#include "log/esp_log.h"
#include "hal/ws2812.h"

#define Light_AccessPointFailure()          WS2812_SetColor(WS2812_RED, WS2812_PULSE)
#define Light_SystemFailure()               WS2812_SetColor(WS2812_RED, WS2812_SOLID)
#define Light_AccessPointSearching()        WS2812_SetColor(WS2812_GREEN, WS2812_PULSE)
#define Light_AccessPointNoCredentials()    WS2812_SetColor(WS2812_GREEN, WS2812_SOLID)
#define Light_BrokerFailure()               WS2812_SetColor(WS2812_BLUE, WS2812_PULSE)
#define Light_AccessPointConnected()        WS2812_SetColor(WS2812_BLUE, WS2812_PULSE)
#define Light_BrokerSuccess()               WS2812_SetColor(WS2812_BLUE, WS2812_SOLID)
#define Light_AdaptiveIMU()                 WS2812_SetColor(WS2812_MAGENTA, WS2812_SOLID)
#define Light_AdaptiveBar()                 WS2812_SetColor(WS2812_ORANGE, WS2812_SOLID)

void ICACHE_FLASH_ATTR Light_Shutdown(void);
void ICACHE_FLASH_ATTR Light_Restart(void);
void ICACHE_FLASH_ATTR Light_Find(void);


#endif
