#include "interface/light_interface.h"

void ICACHE_FLASH_ATTR Light_Find(void)
{
    uint8_t i;
    for(i=0;i<3;i++)
    {
        system_soft_wdt_feed(); // loop is over 3 second long which will cause a WDT to trigger

        WS2812_SetColor(WS2812_ORANGE, WS2812_SOLID);
        os_delay_us(500000);
        WS2812_SetColor(WS2812_OFF, WS2812_SOLID);
        os_delay_us(500000);
    }
    WS2812_SetColor(WS2812_BLUE, WS2812_SOLID);
}

void ICACHE_FLASH_ATTR Light_Shutdown(void)
{
    uint8_t i;
    for(i=0;i<3;i++)
    {
        system_soft_wdt_feed(); // loop is over 3 second long which will cause a WDT to trigger

        WS2812_SetColor(WS2812_RED, WS2812_SOLID);
        os_delay_us(500000);
        WS2812_SetColor(WS2812_OFF, WS2812_SOLID);
        os_delay_us(500000);
    }
}

void ICACHE_FLASH_ATTR Light_Restart(void)
{
    uint8_t i;
    for(i=0;i<3;i++)
    {
        system_soft_wdt_feed();

        WS2812_SetColor(WS2812_BLUE, WS2812_SOLID);
        os_delay_us(500000);
        WS2812_SetColor(WS2812_OFF, WS2812_SOLID);
        os_delay_us(500000);
    }
}

